# coding: utf-8

"""
    Kubernetes

    No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

    OpenAPI spec version: v1.8.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import os
import sys
import unittest

import kubernetes.client
from kubernetes.client.rest import ApiException
from kubernetes.client.models.apps_v1beta1_rolling_update_deployment import AppsV1beta1RollingUpdateDeployment


class TestAppsV1beta1RollingUpdateDeployment(unittest.TestCase):
    """ AppsV1beta1RollingUpdateDeployment unit test stubs """

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def testAppsV1beta1RollingUpdateDeployment(self):
        """
        Test AppsV1beta1RollingUpdateDeployment
        """
        # FIXME: construct object with mandatory attributes with example values
        #model = kubernetes.client.models.apps_v1beta1_rolling_update_deployment.AppsV1beta1RollingUpdateDeployment()
        pass


if __name__ == '__main__':
    unittest.main()
